org.apache.ignite.internal.util

## Interface DirectBufferCleaner

All Known Implementing Classes:
  ReflectiveDirectBufferCleaner, UnsafeDirectBufferCleaner

    public interface DirectBufferCleaner

Cleaner interface for `java.nio.ByteBuffer`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clean(ByteBuffer buf)` Cleans direct buffer.

### Method Detail

#### clean

    void clean(ByteBuffer buf)

Cleans direct buffer.

Parameters:
  `buf` - direct buffer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019